#include<bits/stdc++.h>

int p[200005];
int main() {
    int n, w, x;
    std::cin >> n >> w >> x;
    for(int i = 0; i < n; i++) {
        std::cin >> p[i];
    }
    int c = 1;
    if(w == x) {
        int mx = - 1;
        for(int i = 0; i < n - w; i++) {
            int sum = 0;
            int c = 1;
            for(int j = 0; j < w; j++) {
                sum += c * p[i + j];
                c++;
            }
            std::cout << sum;
        }
        return 0;
    }
    to_string();
    return 0;
}